SPLIT(1)

NAVN
split - split a file into pieces

OVERSIKT
split [VALG]... [FIL [PREFIKS]]

BESKRIVELSE

Skriv ut stykker av INNDATA til PREFIKSaa, PREFIKSab, osv. Standard stykkestørrelse er 1000 linjer, og standard PREFIKS er «x».

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --suffix-length=N
    Lag suffiks med N lengde (standard: 2).

--additional-suffix=SUFFIKS
    Gi alle filnavn et ekstra SUFFIKS.

-b, --bytes=ANT
    Lag utdata-filer med valgt ANTall byte.

-C, --line-bytes=ANT
    Lag utdata-filer på maks valgt ANTall byte.

-d  Bruk numerisk suffiks i stedet for alfabetisk.

--numeric-suffixes[=FRA]
    Likner -d, men lar deg velge startverdi.

-x  Bruk hex-suffiks i stedet for alfabetisk.

--hex-suffixes[=FRA]
    Likner -x, men lar deg velge startverdi.

-e, --elide-empty-files
    Ikke lag tomme filer ved bruk av -n.

--filter=KOMMANDO
    Skriv til skall-KOMMANDO (filnavn er $FILE).

-l, --lines=N
    Lag utdata-filer med minst N antall linjer.

-n, --number=N
    Lag utdatafiler med minst N antall stykker (les mer nedenfor).

-t, --separator=SKI
    Erstatt linjeskift med valgt SKIlletegn (bruk «\0» (null) for tegnet NUL).

-u, --unbuffered
    Kopier inndata til utdata umiddelbart med «-n r/ …».

--verbose
    Skriv ut diagnostikk rett før hver utdata-fil åpnes.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

STØRRelse er et valgfritt argument i heltallsformat (eks.: 10M er 10*1024*1024). Gyldige enheter er K, M, G, T, P, E, Z og Y (1024-byte-enheter) - evt. KB, MB, osv. (1000-byte-enheter). Du kan også bruke binær-prefiks i form av KiB (K), MiB (M), og så videre.

  STYK kan være følgende:

N   splitt opp i N antall filer, basert på inndata-filstørrelse

K/N skriv ut K av N til standard utkanal

l/N splitt opp i N antall filer, uten å splitte linjer

l/K/N
    skriv ut K av N til standard utkanal, uten å splitte linjer

r/N likner «l», men bruker «round robin»-fordeling

r/K/N
    som ovenfor, men skriver kun ut K av N til standard utkanal

OPPHAVSMANN
Skrevet av Torbjorn Granlund og Richard M. Stallman.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/split>
eller lokalt: info '(coreutils) split invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.